post
https://sandbox.saner.secpod.com/AncorWebService/perform
List patch automation rules in Saner PM with their current status.
Get Automation Rule Status.
This method returns whether the automation rule is paused or running. If the rule name is not specified, the API will return the results for all the rules.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountname | Account name | Yes | string |
| rulenames | List of rule names | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getAutomationRuleStatus(
accountname="Demo Account",
rulenames=["demo rule1"]
)
print(response)
client.close()Requires Python 3.9 or later.